/**
 * Phototransistor Input to Circle 
 * 
 * Read data from the serial port and changes the fill and stroke color of a circle
 * relative to the values recieved from the sensor.
 * Circle fill and stroke are random, unless a sensor value below 200 is recived.
 */

//import serial library
import processing.serial.*;

Serial serialPort;
int diameter= 200; 

void setup() {
  size(500, 500);
  background(#60b246);
  stroke(255);
  smooth();
  println(Serial.list());
  serialPort = new Serial(this, Serial.list()[5], 9600);
}

void draw() {
  while (serialPort.available () > 0) {
    int lightIn = serialPort.read();
     diameter=diameter*lightIn
    if (lightIn == '1') {
      println("motion on");
      redraw();
    }
    else{
      println("motion off");
      redraw();
    }
    
      ellipse(250, 250, diameter, diameter);
  }

}
